import type { FieldPath, FieldValues, FormStore, Maybe, RawFieldState, ResponseData } from '../types';
/**
 * Returns the RAW state of the field.
 *
 * @param form The form of the field.
 * @param name The name of the field.
 *
 * @returns The state of the field.
 */
export declare function getFieldState<TFieldValues extends FieldValues, TResponseData extends ResponseData, TFieldName extends FieldPath<TFieldValues>>(form: FormStore<TFieldValues, TResponseData>, name: TFieldName): Maybe<RawFieldState<TFieldValues, TFieldName>>;
