import type { FieldPath, FieldValues, FormStore, InternalFieldStore, Maybe, ResponseData } from '../types';
/**
 * Returns the store of a field.
 *
 * @param form The form of the field.
 * @param name The name of the field.
 *
 * @returns The reactive store.
 */
export declare function getFieldStore<TFieldValues extends FieldValues, TResponseData extends ResponseData, TFieldName extends FieldPath<TFieldValues>>(form: FormStore<TFieldValues, TResponseData>, name: TFieldName): Maybe<InternalFieldStore<TFieldValues, TFieldName>>;
